Users should be redirected directly to the login page if logging in is required, instead of being shown an error
Closed, ResolvedPublic

Description

When attempting to access a resource that requires a login - eg. Special:Watchlist - an un-logged-in user receives a message to that effect, with a link to Special:Login. Submitting that form returns the user to the required resource.

The intermediate page is redundant; a better user experience would be to forward the user to Special:UserLogin and present the message there. This is how most modern web applications handle the process.

This is quite similar to bug 10868 which was closed in 2011 as WONTFIX for reasons to do with secure login. I don't believe that should be an issue with this improvement.


Version: 1.23.0
Severity: enhancement

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz58637.
Scott created this task.Via LegacyDec 18 2013, 10:26 AM
Scott added a comment.Via ConduitDec 18 2013, 11:12 AM

I forgot to add - until recently, submitting Special:UserLogin would result in another intermediate page informing the user that they were logged in. Removing this page would be symmetrical with that improvement.

matmarex added a comment.Via ConduitFeb 20 2014, 12:35 AM

I think I fixed this a couple months ago with I43ceaddb.

matmarex added a comment.Via ConduitFeb 20 2014, 12:38 AM

Ah, no, I didn't; I misunderstood the report, sorry.

I don't think I agree, though – I prefer the current behavior.

Scott added a comment.Via ConduitFeb 20 2014, 12:57 PM

Can I ask why? To be quite frank, it makes us look very old-fashioned.

matmarex added a comment.Via ConduitFeb 20 2014, 2:43 PM

I don't really have a well-articulated reason, feel free to ignore me :)

Scott added a comment.Via ConduitFeb 24 2014, 12:31 PM

:)

</bugspam>

matmarex added a comment.Via ConduitJul 15 2014, 1:06 PM

This actually has a much older report, huh.

  • This bug has been marked as a duplicate of bug 15484 ***

Add Comment